Economy

Get Earnings Metrics

GET
/economy/metrics/earnings

Gets earnings totals and breakdown metrics for the currently authenticated user.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Query Parameters

metricDateStart?string

Lower bound for economy metrics queries. Observed formats include both date-only and full ISO timestamps.

metricDateEnd?string

Upper bound for economy metrics queries. Observed formats include both date-only and full ISO timestamps.

sellerId*string

Seller to retrieve economy metrics for.

groupByDuration?string

Time bucket size for economy metrics. Observed values include days and years.

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/economy/metrics/earnings?sellerId=usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
{
  "breakdown": [
    {}
  ],
  "sellerId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "totals": {
    "otpEarnings": 0,
    "otpPurchaseCount": 0,
    "subscriberEarnings": 0,
    "subscriberMonths": 0,
    "totalEarnings": 0
  }
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}